For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all construction jobs
        • GETGet construction job by ID
        • GETGet all construction job details for a specific construction job
        • GETGet all contracts for a specific construction job
        • POSTCreate Construction Job: Yardi - Not Supported
        • PUTUpdate Construction Job: Yardi - Not Supported
        • POSTCreate Contract: Yardi
        • PUTUpdate Contract: Yardi
        • GETGet all contract details for a specific contract
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Yardi (Legacy)Construction Job Cost

Get all construction job details for a specific construction job

GET
/v1/construction-jobs/:construction_job_id/details
GET
/v1/construction-jobs/:construction_job_id/details
$curl https://api.propexo.com/v1/construction-jobs/construction_job_id/details \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {
5 "field": "created_at",
6 "direction": "desc"
7 }
8 ],
9 "offset": 0,
10 "limit": 100,
11 "hasMore": true,
12 "total": 1000
13 },
14 "results": [
15 {
16 "id": "clwktsp9v000008l31iv218hn",
17 "created_at": "2024-03-21T15:38:08.337Z",
18 "updated_at": "2024-03-22T10:59:45.119Z",
19 "last_seen": "2024-03-22T10:59:45.119Z",
20 "x_id": "JOB-20240321-001",
21 "x_property_id": "PROP-987654321",
22 "x_location_id": null,
23 "category_description": "Exterior Painting",
24 "cost_code": "EXT-PAINT-01",
25 "original_budget_in_cents": 1500000,
26 "revised_budget_in_cents": 1750000,
27 "invoiced_total_in_cents": 1600000,
28 "custom_data": {},
29 "property_id": "clwi5xiix000008l6ctdgafyh",
30 "integration_id": "clwh5u07w000508me66sfh3um",
31 "integration_vendor": "YARDI"
32 }
33 ]
34}
Get all construction job details for a specific construction job
Was this page helpful?
Previous

Get all contracts for a specific construction job

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

construction_job_idstringRequired
The Propexo unique identifier for the construction job

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error